//+------------------------------------------------------------------+
//|                                            Big Candle Connex.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013,Mts"
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern string Broker_Suffix = "";
extern int Font_Size = 12;
extern string Font_Name = "System";
extern int SizeBp = 30;
extern int Range_Point = 7;
extern int Broker_Digit = 4;
extern int Bar = 30000;
extern color Color_Candel = Green;
extern color Color_Bank_Buy = Green;
extern color Color_Bank_Sell = Red;
extern bool Showdot = TRUE;
double g_ibuf_128[];
double g_ibuf_132[];
int gi_136;
int gi_140;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   if (Digits == 3 || Digits == 5) gi_140 = 10;
   else gi_140 = 1;
   if (Period() == PERIOD_H1) {
      if (Symbol() == "EURUSD" + Broker_Suffix) SizeBp = 30;
      else {
         if (Symbol() == "GBPUSD" + Broker_Suffix) SizeBp = 30;
         else {
            if (Symbol() == "AUDUSD" + Broker_Suffix) SizeBp = 30;
            else {
               if (Symbol() == "NZDUSD" + Broker_Suffix) SizeBp = 30;
               else {
                  if (Symbol() == "USDCHF" + Broker_Suffix) SizeBp = 30;
                  else {
                     if (Symbol() == "USDJPY" + Broker_Suffix) SizeBp = 30;
                     else {
                        if (Symbol() == "USDCAD" + Broker_Suffix) SizeBp = 30;
                        else {
                           if (Symbol() == "EURJPY" + Broker_Suffix) SizeBp = 35;
                           else {
                              if (Symbol() == "GBPJPY" + Broker_Suffix) SizeBp = 35;
                              else {
                                 if (Symbol() == "GOLD") SizeBp = 1000;
                                 else
                                    if (Symbol() == "XAUUSD" + Broker_Suffix) SizeBp = 1000;
                              }
                           }
                        }
                     }
                  }
               }
            }
         }
      }
      if (Showdot) {
         SetIndexStyle(0, DRAW_LINE, STYLE_DOT, 1, Green);
         SetIndexDrawBegin(0, gi_136 - 1);
         SetIndexBuffer(0, g_ibuf_128);
         SetIndexLabel(0, "Mother Candle Buy");
         SetIndexArrow(0, 158);
         SetIndexStyle(1, DRAW_LINE, STYLE_DOT, 1, Red);
         SetIndexDrawBegin(1, gi_136 - 1);
         SetIndexBuffer(1, g_ibuf_132);
         SetIndexLabel(1, "Mother Candle Sell");
         SetIndexArrow(1, 158);
      }
   }
   return (0);
}


int deinit() {
   for (int li_0 = Bar; li_0 >= 0; li_0--) {
      ObjectDelete("S" + li_0);
      ObjectDelete("W" + li_0);
   }
   return (0);
}


int start() {
   string ls_0;
   string ls_unused_8;
   string ls_16;
   string ls_unused_24;
   double ld_48;
   double ld_64;
   int clrbank;
   string ls_unused_32 = "";
   string dbl2str_40 = "";
   int li_108 = 1;
   for (gi_136 = 0; gi_136 >= 0; gi_136--) {
      for (int li_124 = Bar; li_124 >= 0; li_124--) {
         ld_48 = 0;
         dbl2str_40 = "";
         ls_0 = "S" + li_124;
         ls_16 = "W" + li_124;
         gi_136 = li_124;
         ld_48 = (Close[li_124] - Open[li_124]) / Point / gi_140;
         dbl2str_40 = DoubleToStr(MathAbs(ld_48), 0);
         clrbank = Color_Candel;
         if (Close[li_124] > Open[li_124]) clrbank = Color_Bank_Buy;
         else clrbank = Color_Bank_Sell;
         if (ld_48 >= SizeBp) {
            ld_64 = Low[li_124] - (Range_Point - li_108 * 4) * Point;
            f0_0(ls_0, dbl2str_40, Time[li_124], ld_64, Font_Name, Font_Size + 3, clrbank);
            g_ibuf_128[gi_136] = Open[gi_136];
         } else g_ibuf_128[gi_136] = g_ibuf_128[gi_136 + 1];
         if (ld_48 <= -SizeBp) {
            ld_64 = High[li_124] + (Range_Point + li_108 * 4) * Point;
            f0_0(ls_0, dbl2str_40, Time[li_124], ld_64, Font_Name, Font_Size + 3, clrbank);
            g_ibuf_132[gi_136] = Open[gi_136];
         } else g_ibuf_132[gi_136] = g_ibuf_132[gi_136 + 1];
      }
   }
   return (0);
}


void f0_0(string a_name_0, string a_text_8, int a_datetime_16, double ad_20, string a_fontname_28, int a_fontsize_36, color a_color_40) {
   int window_44 = 0;
   if (ObjectFind(a_name_0) == -1) {
      ObjectCreate(a_name_0, OBJ_TEXT, window_44, 0, 0);
      ObjectSetText(a_name_0, a_text_8, a_fontsize_36, a_fontname_28, a_color_40);
      ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
      ObjectSet(a_name_0, OBJPROP_TIME1, a_datetime_16);
      ObjectSet(a_name_0, OBJPROP_PRICE1, ad_20);
      return;
   }
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   ObjectSet(a_name_0, OBJPROP_TIME1, a_datetime_16);
   ObjectSet(a_name_0, OBJPROP_PRICE1, ad_20);
   ObjectSetText(a_name_0, a_text_8, a_fontsize_36, a_fontname_28, a_color_40);
}
